commit:     5197e3f707773165b9b4941a59c323be4f325ee6
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Mon Feb  8 18:37:15 2016 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Mon Feb  8 18:40:17 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5197e3f7

dev-python/pyparsing: Version Bump

Package-Manager: portage-2.2.27
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/pyparsing/Manifest               |  1 +
 dev-python/pyparsing/pyparsing-2.1.0.ebuild | 38 +++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-python/pyparsing/Manifest b/dev-python/pyparsing/Manifest
index 06d8c7b..a398ab2 100644
--- a/dev-python/pyparsing/Manifest
+++ b/dev-python/pyparsing/Manifest
@@ -4,3 +4,4 @@ DIST pyparsing-2.0.4.tar.gz 1140009 SHA256 
c43c9f1395975bf2b032c20e6b149d6b698cd
 DIST pyparsing-2.0.5.tar.gz 1140072 SHA256 
58756bf33e989d84ac72142e4ca558cf10c778a3233edb0a86632f271409ba9e SHA512 
203c4520378302434078b49467369ee0ae70ef4807ca16b8e0ca361dbc3f555806e5e07f9e5005eec34452144b528ed0480f8892b1c61bae83512baa4e74b56e
 WHIRLPOOL 
0da95e0d61a877669ff0f586e3688b0f8444baa5b857fdea8bb758b52af1ea8d6709effe2d1df031bf7d5940fb3b65582f44ca750adedaae12a36d5af105b6a6
 DIST pyparsing-2.0.6.tar.gz 1140849 SHA256 
aea69042752ad7e9c436eea6ae5d40e73642e27f50edb6da4a2532030ef532da SHA512 
3722198efc98f6ffc124fa012f6ef23ec840ccc2280922dcb35b05c1e78cdc40f1057be0f364732d20fb0dd25897776a15625ceadee14f6800d67b6d180b42f1
 WHIRLPOOL 
c6228050452d4297bcb77326972b5ea5c671ee264ce8ebba1ceb115f8ca84e099d94a6db43a1dafef761e26bbf8cab96d46602e116c1d03607ab1860d907c233
 DIST pyparsing-2.0.7.tar.gz 1141457 SHA256 
2ce0db3c70ec0413603d4aea389e4ece34ff93c265649b1c5c7d56e3c2cf19c4 SHA512 
1430262481e97357b0b376db7f938c10dde4514f8f70332252af2de8aee9a0b79cb7a00435c7c8baae2dd1ed9c5d06602cd1ef9bfd6d2f5f30fed1a96c32fe78
 WHIRLPOOL 
e306804b0116d40990f53e1c97188b4dd0163f932b92eddd1ece8f078911f52cb34e06cc186b77ea0a4ce4cef5bf4a804b916fcca210000322df368263be6a13
+DIST pyparsing-2.1.0.tar.gz 1144460 SHA256 
f6cb2bc85a491347c3c699db47f7ecc02903959156b4f92669ebf82395982901 SHA512 
16493a4ee56ee55d70fb9784c2d275779e49125eeb9f41da15106b4123e44c9e35c1449c5106d2849140f9729f26f268238f52f279f26ae594ea0d31ed2fb09e
 WHIRLPOOL 
52547b721b19d6a45900d79148512801583a8adda51fecd7639cd14f7c2e3a7b49118eb03ae86fdd10276643d40a215f1a01a3f645cbdc0e104096ea3cd8cfa6

diff --git a/dev-python/pyparsing/pyparsing-2.1.0.ebuild 
b/dev-python/pyparsing/pyparsing-2.1.0.ebuild
new file mode 100644
index 0000000..293d8b2
--- /dev/null
+++ b/dev-python/pyparsing/pyparsing-2.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Easy-to-use Python module for text parsing"
+HOMEPAGE="http://pyparsing.wikispaces.com/ 
https://pypi.python.org/pypi/pyparsing";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos 
~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples"
+
+RDEPEND="!dev-python/pyparsing:py2 !dev-python/pyparsing:py3"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+# no contained in the tarball
+RESTRICT=test
+
+python_install_all() {
+       local HTML_DOCS=( HowToUsePyparsing.html )
+       if use doc; then
+               HTML_DOCS+=( htmldoc/. )
+               dodoc docs/*.pdf
+       fi
+       use examples && local EXAMPLES=( examples/. )
+       distutils-r1_python_install_all
+}
+
+python_test() {
+       ${PYTHON} unitTests.py || die
+}

Reply via email to